## mozjs52 52.9.1

=== python/psutil/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/psutil.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/psutil.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/psutil"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/psutil"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== intl/icu/source/tools/genren/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html
#******************************************************************************
#
#   Copyright (C) 2002-2011, International Business Machines
#   Corporation and others.  All Rights Reserved.
#
#******************************************************************************

TOP=../..

srcdir = .
top_srcdir = $(TOP)
top_builddir = $(TOP)

# override if you have an out-of-source build (not yet working.)
BUILDDIR = $(top_builddir)

ICUDIR=ICUunrenamed

# Extra flags to prevent internal API from being hidden.
# This is important because ELF (Linux) based platforms that don't hide internal
# API will allow a duplicate internal name to resolve to an external library.
# See the gcc manual on the "visibility" attribute for details.
FLAG_OVERRIDE= LIBCFLAGS= LIBCXXFLAGS= $(EXTRA_MAKE_OPTIONS)

## any local overrides
-include Makefile.local

#  load definition of .SO, etc (but not if we are doing 'make clean')
ifneq ($(patsubst %clean,,$(MAKECMDGOALS)),)
include $(BUILDDIR)/icudefs.mk
endif

COM=$(ICUDIR)/lib/libicuuc.$(SO)
I18=$(ICUDIR)/lib/libicui18n.$(SO)
LEX=$(ICUDIR)/lib/libiculx.$(SO)
DAT=$(ICUDIR)/stubdata/libicudata.$(SO)
UIO=$(ICUDIR)/lib/libicuio.$(SO)

LIBS=$(COM) $(I18) $(LEX) $(UIO)

## Targets.


all:
	@cat README

clean:
	-rm -rf $(ICUDIR) urename.* *~

# We use config.status to mean we have a valid out of source tree.

$(ICUDIR)/config.status:
	-mv $(ICUDIR) $(ICUDIR)old
	-(rm -rf $(ICUDIR)old &)
	mkdir $(ICUDIR)
	( cd $(ICUDIR) ; CPPFLAGS=-DU_DISABLE_RENAMING=1 $(GENREN_CONFIGURE_ENV) $(top_srcdir)/../configure --with-data-packaging=archive --enable-tests=no --prefix=`pwd` $(GENREN_CONFIGURE_OPTS) )
    # cause lib and bin to be created, and any other general sanity
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR) clean
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR) all-local

# build the libraries
$(DAT): $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/stubdata  all-local

$(COM): $(DAT) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/common all-local

$(I18): $(DAT) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/i18n all-local

$(LEX): $(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/layoutex all-local

$(UIO):	$(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/io all-local

# the header itself
urename.h: $(LIBS) genren.pl
	-cp urename.h urename.h.old
	perl ./genren.pl $(GENREN_PL_OPTS) $(LIBS)

# This is still here, but less useful with the "new" macro-based rename. Just use 'svn diff'.
sorts:	urename.sort urename.old.sort
	@echo "*** Please check urename.h manually before committing it."
	@echo "Try 'diff --side-by-side urename.old.sort urename.sort'"

urename.sort: urename.h
	sort urename.h > $@

urename.old.sort: $(top_srcdir)/common/unicode/urename.h
	sort  $(top_srcdir)/common/unicode/urename.h > $@

install-header: urename.h
	cp urename.h $(top_srcdir)/common/unicode/
	@echo "*** Please check urename.h manually before committing it."

=== testing/mozbase/mozprocess/tests/iniparser/Makefile ===
#
# iniparser Makefile
#

# source files
SRCS = iniparser.c \
	dictionary.c

# include rules for platform determination
include platform.mk

# flags for the the various systems
ifeq ($(UNAME), Linux)
    # Compiler settings
    CC      = gcc
    AR	    = ar
    ARFLAGS = rcv
    SHLD = ${CC} ${CFLAGS}
    CFLAGS  = -O2 -fPIC -Wall -ansi -pedantic
    LDSHFLAGS = -shared -Wl,-Bsymbolic  -Wl,-rpath -Wl,/usr/lib -Wl,-rpath,/usr/lib
    LDFLAGS = -Wl,-rpath -Wl,/usr/lib -Wl,-rpath,/usr/lib
endif
ifeq ($(UNAME), Darwin)
    # Compiler settings
    CC      = gcc
    # Ar settings to build the library
    AR	    = ar
    ARFLAGS = rcv
    SHLD = libtool
    CFLAGS  = -v -arch i386 -fPIC -Wall -ansi -pedantic
    LDFLAGS = -arch_only i386
endif
ifeq ($(WIN32), 1)
    CC = cl
    CFLAGS = //Od //D "_WIN32" //D "WIN32" //D "_CONSOLE" //D "_CRT_SECURE_NO_WARNINGS" //D "_UNICODE" //D "UNICODE" //Gm //EHsc //RTC1 //MDd //W3 //nologo //c //ZI //TC
    LDFLAGS = //OUT:"iniparser.lib" //NOLOGO
    LINK = lib
    RM = rm -f
endif

# windows build rules
ifeq ($(WIN32), 1)

COMPILE.c = $(CC) $(CFLAGS) -c
OBJS = $(SRCS:.c=.obj)

all: iniparser.obj dictionary.obj iniparser.lib

iniparser.obj: dictionary.obj
	@($(CC) $(CFLAGS) iniparser.c)

dictionary.obj:
	@(echo "compiling dictionary; WIN32: $(WIN32); platform: $(UNAME)")
	@($(CC) $(CFLAGS) dictionary.c)

iniparser.lib:	dictionary.obj iniparser.obj
	@(echo "linking $(OBJS)")
	@($(LINK) $(LDFLAGS) $(OBJS))
else

# *nix (and Mac) build rules
RM = rm -f
COMPILE.c = $(CC) $(CFLAGS) -c
OBJS = $(SRCS:.c=.o)

all:	libiniparser.a libiniparser.so

.c.o:
	@(echo "platform: $(UNAME), WIN32=$(WIN32); compiling $< ...")
	@($(COMPILE.c) -o $@ $<)

libiniparser.a:	$(OBJS)
	@($(AR) $(ARFLAGS) libiniparser.a $(OBJS))

ifeq ($(UNAME), Linux)
libiniparser.so:	$(OBJS)
	@$(SHLD) $(LDSHFLAGS) -o $@.0 $(OBJS) $(LDFLAGS)
else
libiniparser.so:	$(OBJS)
	@$(SHLD) -o $@.0 $(LDFLAGS) $(OBJS)
endif
endif

clean:
	$(RM) $(OBJS) libiniparser.*

## mozjs52 52.2.1

=== debian/changelog ===
mozjs52 (52.2.1-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1705606)
  * Rename mozjs38 to mozjs52
  * debian/rules:
    - Make build tests fatal except on armhf
    - Build --without-system-icu since we don't have icu 58 yet
  * Drop repack scripts and use Files-Excluded in debian/copyright
  * Refresh patches
  * Drop obsolete patches:
    - fix-gcc6-segfault.patch
    - fix-tracelogger.patch
    - install-js-config-h.patch
    - manually-mmap-on-arm64-to-ensure-high-17-bits-are-clear.patch
    - shell-version.patch
  * Disable patches for non-Ubuntu archs that don't apply cleanly:
    - m68k-support.patch
    - Disable-js-JIT-on-x32.patch
  * Add patches from https://github.com/ptomato/mozjs :
    - include-configure-script.patch
    - pre-generate-old-configure.patch
    - tests-skip-on-all-64-bit-archs.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 20 Jul 2017 22:31:56 -0400

mozjs38 (38.8.0~repack1-0ubuntu1) artful; urgency=medium

  * SECURITY UPDATE: Build from final Firefox 38 ESR tarball to fix
    numerous security vulnerabilities (LP: #1683103)
    - Use debian/repack* scripts to drop the extra files not shipped
      in the mozjs release tarballs.
    - CVE-2015-4513, CVE-2016-1930, CVE-2016-1952,
      CVE-2016-2805, CVE-2016-2807, CVE-2016-2808
  * Update package description
  * Use gnome-pkg-tools (for sponsorship by Debian GNOME)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 16 Apr 2017 14:45:59 -0400

mozjs38 (38.2.1~rc0-0ubuntu6) zesty; urgency=medium

  * Add debian/patches/disable-strict-aliasing.patch (LP: #1682631):
    - Patch from Brian Vincent to enable ~50 build tests to pass by
      using -fno-strict-aliasing, might reduce GNOME Shell crashes
  * Add debian/patches/skip-icu-tests.patch:
    - Skip 3 tests that fail because we use a newer system ICU
  * debian/rules:
    - Enable build tests on all architectures except arm64, ppc64el, s390x

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 15 Apr 2017 13:07:59 -0400

mozjs38 (38.2.1~rc0-0ubuntu5) zesty; urgency=medium

  * Drop the libmozjs38-bin package, see Mozilla #1339931

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2017 17:55:56 -0500

mozjs38 (38.2.1~rc0-0ubuntu4) zesty; urgency=medium

  * Add back dh_strip rules but with --dbgsym-migration to fix very
    large binary packages in the last upload.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 18 Feb 2017 16:22:25 -0500

mozjs38 (38.2.1~rc0-0ubuntu3) zesty; urgency=medium

  * Really drop manual -dbg packages

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2017 17:59:49 -0500

mozjs38 (38.2.1~rc0-0ubuntu2) zesty; urgency=medium

  * debian/control:
    - Build-Depend on libicu-dev, libreadline-dev and python-dev
  * debian/rules: Copy these build flags from Fedora:
    --with-system-icu
    --with-system-zlib
    --enable-readline
    --enable-xterm-updates
    --enable-shared-js
    --enable-gcgenerational
    --disable-optimize
    --enable-pie
  * debian/rules:
    - Also use --enable-tests but don't make tests fatal yet
    - Use --with-intl-api as recommended by gjs developer
  * Don't install .a file
  * Bump dh compat to 10 but disable autoreconf until it can be made to work
  * Drop manual -dbg packages

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2017 17:32:04 -0500

mozjs38 (38.2.1~rc0-0ubuntu1) zesty; urgency=medium

  [ Rico Tzschichholz]
  * New upstream release (LP: #1662094)
  * Update version from mozjs24 to mozjs38
  * debian/control, debian/rules:
    - Build with autoconf2.13
  * Add patches:
    - copy-headers.patch:
      + Copy headers instead of symlinking
    - fix-gcc6-segfault.patch
      + Fix segfault when built with gcc6
    - fix-tracelogger.patch
      + Squashed version of several commits to fix the tracelogger
    - install-js-config-h.patch
    - pkg-config-version.patch:
      + Add major version to pkg-config filename
    - shell-version.patch:
      + Add major version to shell and js-config filenames
  * Drop patches:
    - aarch64-support.patch, applied in new version
    - fix-perl-5.22.patch, this perl script doesn't exist in new version

  [ Jeremy Bicha ]
  * Refresh patches
  * Disable patch that doesn't apply cleanly:
    - hppa-support.patch

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 06 Feb 2016 11:18:23 +0200

mozjs24 (24.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Manually mmap on arm64 to ensure high 17 bits are clear (Closes: #839050,
    thanks to Zheng Xu)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 07 Jan 2017 01:42:14 +0000

mozjs24 (24.2.0-5) unstable; urgency=low

  * Revert fix for ARM64 crashes, causes even more problems (closes: #847542).

  [ John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> ]
  * Add support for m68k (closes: #847525).

  [ Adam Borowski <kilobyte@angband.pl> ]
  * Disable JS JIT on x32 to make SpiderMonkey build (closes: #777502).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Dec 2016 22:57:52 +0000

mozjs24 (24.2.0-4) unstable; urgency=low

  * Backport upstream fix for ARM64 crashes (closes: #839050).
  * Add Multi-Arch field to libmozjs-24-0 and its -dbg variant
    (closes: #760757).
  * Update homepage (closes: #844257).
  * Set SHELL for running configure.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 08 Dec 2016 19:04:08 +0000

mozjs24 (24.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove not needed Build-Conflicts, that are now cousing uninstallability
    of the Build-Depends.  Closes: #813749
  * Add patch (taken from Ubuntu) to fix build with perl 5.22.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 06 Jul 2016 22:33:32 +0000

mozjs24 (24.2.0-3) unstable; urgency=low

  * Update Standards-Version to 3.9.6 .

  [ Pino Toscano <pino@debian.org> ]
  * Fix FTBFS on Hurd (closes: #756218).

  [ John David Anglin <dave.anglin@bell.net> ]
  * Fix FTBFS on HPPA (closes: #757067).



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: mozjs52
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools,
               autoconf2.13,
               libicu-dev,
               libffi-dev,
               libnspr4-dev (>= 2:4.9.2),
               libreadline-dev,
               zlib1g-dev (>= 1:1.2.3),
               pkg-config,
               pkg-kde-tools,
               python-dev,
               zip
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/mozjs52.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/mozjs52.git
Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey

Package: libmozjs-52-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SpiderMonkey JavaScript library
 SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.

Package: libmozjs-52-dev
Architecture: any
Section: libdevel
Depends: libmozjs-52-0 (= ${binary:Version}),
         libffi-dev,
         libnspr4-dev (>= 2:4.9.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: SpiderMonkey JavaScript library - development headers
 SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the header files which are
 needed for developing SpiderMonkey embedders.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VENDOR ?= $(shell dpkg-vendor --query vendor)

SRCDIR = $(CURDIR)/js/src

ifeq ($(VENDOR), Debian)
ifneq (,$(findstring $(DEB_BUILD_ARCH),armel))
        CONFIGURE_FLAGS += --disable-methodjit
endif
endif

ifeq ($(VENDOR), Ubuntu)
ifneq (,$(findstring $(DEB_BUILD_ARCH),armel armhf))
        CONFIGURE_FLAGS += --enable-thumb2
endif
endif

%:
	dh $@ --sourcedirectory=$(SRCDIR) --with gnome,pkgkde-symbolshelper --without autoreconf

override_dh_clean:
	dh_clean
	find $(CURDIR)/js/src/ \( -type l  -o -name \*.pyc \) -exec rm {} \;
	rm -f $(CURDIR)/js/src/config/nsinstall
	rm -f $(CURDIR)/js/src/dist/bin/.purgecaches
	rm -f  $(CURDIR)/js/src/js52-config $(CURDIR)/js/src/mozjs-52.pc \
		$(CURDIR)/js/src/symverscript
	rm -f $(CURDIR)/js/src/config.log
	# rm -f $(CURDIR)/js/src/configure

# dh_auto_configure does not properly handle autoconf2.13 generated configure
# scripts, so we call configure ourselves.
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570375
override_dh_auto_configure:
	cd $(SRCDIR) && SHELL=/bin/sh && PYTHON=python && $(SHELL) configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
		--without-system-icu \
		--with-system-nspr \
		--with-system-zlib \
		--enable-tests \
		--disable-strip \
		--enable-ctypes \
		--enable-threadsafe \
		--enable-system-ffi \
		--with-intl-api \
		--enable-readline \
		--enable-xterm-updates \
		--enable-shared-js \
		--enable-gcgenerational \
		--disable-optimize \
		--enable-pie \
		$(CONFIGURE_FLAGS)

override_dh_install:
	# move library and create additional symlinks to standardize the file layout
	cd $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/ && \
		mv libjs_static.ajs libmozjs-52.a && \
		mv libmozjs-52.so libmozjs-52.so.0.0.0 && \
		ln -s libmozjs-52.so.0.0.0 libmozjs-52.so.0 && \
		ln -s libmozjs-52.so.0 libmozjs-52.so
	rm debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libmozjs-52.a
	rm debian/tmp/usr/bin/js52
	dh_install --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/libmozjs-52-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/mozjs-52.pc

override_dh_gnome:
	dh_gnome --no-gnome-versions

override_dh_strip:
	dh_strip -p libmozjs-52-0 --dbgsym-migration=libmozjs-52-0-dbg
	dh_strip

# Don't fail the build on arches where the tests are known to fail
override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(filter $(DEB_HOST_ARCH),armhf))
	make -C $(SRCDIR) -k check-jstests
else
	make -C $(SRCDIR) -k check-jstests || true
endif
endif

## mozjs52 52.3.1

=== debian/changelog ===
mozjs52 (52.3.1-0ubuntu3) artful; urgency=medium

  * Sync packaging from Debian:
    - debian/copyright updates
    - Make tests fatal except on ppc64el
    - Build with enable-posix-nspr-emulation
    - Drop obsolete --enable-thumb2 armhf flag

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Aug 2017 14:42:14 -0400

mozjs52 (52.3.1-0ubuntu2) artful; urgency=medium

  * debian/rules: Build with -fno-schedule-insns on armhf, to fix runtime
    failures on armhf-on-arm64 (see
    https://bugzilla.mozilla.org/show_bug.cgi?id=1337263)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 30 Aug 2017 12:59:00 +0100

mozjs52 (52.3.1-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Dropped patches applied in new release:
    - Take-both-with-wrapped-and-unwrapped-enclosing-environments.patch
    - fix-no-symlink-install-manifest.patch
    - fix-symbols-visibility.patch
    - pkg-config-version.patch
  * Add patches from https://github.com/ptomato/mozjs :
    - disable-mozglue.patch
    - remove-nspr-dependency.patch
  * Update pre-generate-old-configure.patch from ptomato branch
  * Have -dev package install js binary. See Mozilla #1339931

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Aug 2017 23:38:12 -0400

mozjs52 (52.2.1-1~git1) artful; urgency=medium

  * Upload from Debian new queue

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 03 Aug 2017 11:55:25 -0400

mozjs52 (52.2.1-1) unstable; urgency=medium

  [ Rico Tzschichholz]
  * New upstream release (Closes: #860396) (LP: #1662094)
  * Update version from mozjs24 to mozjs38
  * debian/control, debian/rules:
    - Build with autoconf2.13
  * Add patches:
    - copy-headers.patch:
      + Copy headers instead of symlinking
    - install-js-config-h.patch
    - pkg-config-version.patch:
      + Add major version to pkg-config, shell and js-config filenames
  * Drop patches:
    - aarch64-support.patch, applied in new version
    - fix-perl-5.22.patch, this perl script doesn't exist in new version

  [ Jeremy Bicha ]
  * Switch maintainer to Debian GNOME team
  * debian/control:
    - Build-Depend on libicu-dev, libreadline-dev and python-dev
  * debian/rules: Copy these build flags from Fedora:
    --with-intl-api
    --with-system-icu
    --with-system-zlib
    --enable-readline
    --enable-xterm-updates
    --enable-shared-js
    --enable-gcgenerational
    --disable-optimize
    --enable-pie
  * debian/rules:
    - Build with --enable-tests but don't make tests fatal yet
    - Build --without-system-icu since we don't have icu 58 yet
  * Drop the libmozjs*-bin package, see Mozilla #1339931
  * Don't install .a file
  * Bump dh compat to 10 but disable autoreconf
  * Migrate to automatic -dbgsym packages
  * Drop debian/README.source because it only listed removed files
    Use Files-Excluded in debian/copyright instead
  * Update debian/copyright based on debian/copyright for Firefox
  * Refresh patches
  * Drop obsolete patches:
    - install-js-config-h.patch
    - manually-mmap-on-arm64-to-ensure-high-17-bits-are-clear.patch
  * Disable patches that don't apply cleanly:
    - hppa-support.patch
    - m68k-support.patch
    - Disable-js-JIT-on-x32.patch
  * Add patches from https://github.com/ptomato/mozjs :
    - tests-skip-on-all-64-bit-archs.patch
    - fix-no-symlink-install-manifest.patch
    - Take-both-with-wrapped-and-unwrapped-enclosing-environments.patch

  [ Jordi Mallach ]
  * Remove override to dh_strip as the package is new and there's no
    need to migrate from -dbg.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 15 Apr 2017 13:07:59 -0400

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,18 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: 
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                autoconf2.13,
                libicu-dev,
-               libffi-dev,
-               libnspr4-dev (>= 2:4.9.2),
                libreadline-dev,
                zlib1g-dev (>= 1:1.2.3),
                pkg-config,
                pkg-kde-tools,
                python-dev,
                zip
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/mozjs52.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/mozjs52.git
 Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
@@ -38,8 +36,6 @@
 Architecture: any
 Section: libdevel
 Depends: libmozjs-52-0 (= ${binary:Version}),
-         libffi-dev,
-         libnspr4-dev (>= 2:4.9.2),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: SpiderMonkey JavaScript library - development headers

=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,15 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-VENDOR ?= $(shell dpkg-vendor --query vendor)
-
 SRCDIR = $(CURDIR)/js/src
 
-ifeq ($(VENDOR), Debian)
 ifneq (,$(findstring $(DEB_BUILD_ARCH),armel))
         CONFIGURE_FLAGS += --disable-methodjit
 endif
-endif
 
-ifeq ($(VENDOR), Ubuntu)
-ifneq (,$(findstring $(DEB_BUILD_ARCH),armel armhf))
-        CONFIGURE_FLAGS += --enable-thumb2
-endif
+ifneq (,$(findstring $(DEB_BUILD_ARCH),armhf))
+        export DEB_CFLAGS_MAINT_APPEND = -fno-schedule-insns
+        export DEB_CXXFLAGS_MAINT_APPEND = -fno-schedule-insns
 endif
 
 %:
@@ -47,13 +42,11 @@
 		--prefix=/usr \
 		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
 		--without-system-icu \
-		--with-system-nspr \
+		--enable-posix-nspr-emulation \
 		--with-system-zlib \
 		--enable-tests \
 		--disable-strip \
-		--enable-ctypes \
 		--enable-threadsafe \
-		--enable-system-ffi \
 		--with-intl-api \
 		--enable-readline \
 		--enable-xterm-updates \
@@ -71,7 +64,6 @@
 		ln -s libmozjs-52.so.0.0.0 libmozjs-52.so.0 && \
 		ln -s libmozjs-52.so.0 libmozjs-52.so
 	rm debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libmozjs-52.a
-	rm debian/tmp/usr/bin/js52
 	dh_install --fail-missing
 
 override_dh_fixperms:
@@ -81,14 +73,10 @@
 override_dh_gnome:
 	dh_gnome --no-gnome-versions
 
-override_dh_strip:
-	dh_strip -p libmozjs-52-0 --dbgsym-migration=libmozjs-52-0-dbg
-	dh_strip
-
 # Don't fail the build on arches where the tests are known to fail
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq (,$(filter $(DEB_HOST_ARCH),armhf))
+ifeq (,$(filter $(DEB_HOST_ARCH),kfreebsd-i386 kfreebsd-amd64 ppc64el))
 	make -C $(SRCDIR) -k check-jstests
 else
 	make -C $(SRCDIR) -k check-jstests || true

=== debian/watch ===
# version=3
# As of July 2017, there is not an official release of SpiderMonkey 52
# This tarball was downloaded from
# https://treeherder.mozilla.org/#/jobs?repo=mozilla-esr52&filter-searchStr=sm-tc

## mozjs52 52.8.1

=== debian/changelog ===
mozjs52 (52.8.1-0ubuntu0.17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: Multiple memory safety issues
    - CVE-2017-7810, CVE-2017-7826, CVE-2018-5089, CVE-2018-5125,
      CVE-2018-5150

  * Update to 52.8.1esr
  * Drop patches that are fixed upstream
    - remove debian/patches/remove-nspr-dependency.patch
    - remove debian/patches/tests-skip-on-all-64-bit-archs.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/include-configure-script.patch - the
      configure script is included in the tarball now. This patch should
      probably be renamed to something more appropriate
    - update debian/patches/pre-generate-old-configure.patch - a pre-generated
      old-configure script is included in the tarball now, although the one
      generated by js/src/make-source-package.sh includes the wrong aclocal.m4
      and doesn't work, so regenerate it again with the correct aclocal.m4

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 13 Jun 2018 23:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: mozjs52
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: 
+Uploaders: Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                autoconf2.13,

## mozjs52 52.9.1

=== debian/changelog ===
mozjs52 (52.9.1-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Multiple memory safety issues
    - CVE-2018-5188

  * Update to 52.9.1esr
  * Run dh_autoreconf
    - add debian/autogen.sh
    - update debian/rules
    - remove debian/patches/pre-generate-old-configure.patch
    - update debian/patches/series
  * Drop obsolete configure flags
    - update debian/rules
    - remove debian/patches/include-configure-script.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 21 Aug 2018 18:41:30 +0100

mozjs52 (52.8.1-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Multiple memory safety issues
    - CVE-2017-7810, CVE-2017-7826, CVE-2018-5089, CVE-2018-5125,
      CVE-2018-5150

  * Update to 52.8.1esr
  * Drop patches that are fixed upstream
    - remove debian/patches/remove-nspr-dependency.patch
    - remove debian/patches/tests-skip-on-all-64-bit-archs.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/include-configure-script.patch - the
      configure script is included in the tarball now. This patch should
      probably be renamed to something more appropriate
    - update debian/patches/pre-generate-old-configure.patch - a pre-generated
      old-configure script is included in the tarball now, although the one
      generated by js/src/make-source-package.sh includes the wrong aclocal.m4
      and doesn't work, so regenerate it again with the correct aclocal.m4
  * Move pre-generate-old-configure.patch to after
    Allow-to-override-ICU_DATA_FILE-from-the-environment.patch and drop
    Patch-pregenerated-old-configure-to-match-build-autoconf-.patch
    - update debian/patches/series
    - remove debian/patches/Patch-pregenerated-old-configure-to-match-build-autoconf-.patch
    - update debian/patches/pre-generate-old-configure.patch to refresh old-configure
  * Don't build-depend on libicu-dev - the bundled ICU is used and the
    distro ICU package ships the layout engine API since 60.2, which
    causes intl/icu_sources_data.py to fail due to source files excluded from
    the Mozilla source

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 11 Jun 2018 18:00:08 +0100

mozjs52 (52.3.1-7fakesync1) bionic; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 09:29:25 +0200

mozjs52 (52.3.1-7) unstable; urgency=medium

  [ Adrian Bunk ]
  * Add tests-snans-be.patch:
    - Fix sort_snans.js test on big endian (Closes: #878285)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 13:12:58 -0400

mozjs52 (52.3.1-6) unstable; urgency=medium

  [ Adrian Bunk ]
  * Disable ion JIT on mips (Closes: #878519, #878284)
  * Rename Fix-crashes-in-AtomicOperations-none-on-s390x.patch to
    Fix-crashes-in-AtomicOperations-none.patch and modify it to
    always use AtomicOperations-sparc.h instead of AtomicOperations-none.h
  * Add tests-increase-timeout.patch:
    - Set timeout to 600 seconds instead of 300 for slower buildds
  * Stop ignoring test failures on mips

  [ Jeremy Bicha ]
  * Much thanks to Adrian Bunk for all of his help in fixing mozjs
    build problems!

  [ Simon McVittie ]
  * Explicitly select gcc/g++ even if clang is installed, overriding ICU's
    configure.ac (Closes: #878669)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 09:03:39 -0400

mozjs52 (52.3.1-5) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Regenerate patches
  * Export SHELL and PYTHON for all stages of the build process
    (Closes: #876354)
  * d/p/Allow-to-override-ICU_DATA_FILE-from-the-environment.patch:
    Add patch from firefox-esr to allow ICU_DATA_FILE to be forced in
    the environment. We need to use a big-endian version on BE
    architectures.
  * d/p/Patch-pregenerated-old-configure-to-match-build-autoconf-.patch:
    Apply the equivalent of that patch to the pregenerated old-configure
    script
  * d/p/Add-intl-icu_sources_data.py-from-firefox-esr.patch:
    Add patch importing intl/icu_sources_data.py from firefox-esr_52.4.0esr-2
    so we can regenerate the ICU_DATA_FILE
  * d/rules: Regenerate the ICU_DATA_FILE (with the correct endianness)
    so the interpreter doesn't fail to initialize on big-endian
    architectures (Closes: #873778)
  * d/p/icu_sources_data.py-Decouple-from-Mozilla-build-system.patch:
    Avoid needing the mozpack module to generate the ICU_DATA_FILE
  * d/p/Fix-crashes-in-AtomicOperations-none-on-s390x.patch:
    Add patch from firefox-esr to fix atomic operations crashes on s390x
  * d/p/icu_sources_data-Write-command-output-to-our-stderr.patch:
    Make sure output from icu_sources_data.py ends up in buildd logs
  * d/p/tests-For-tests-that-are-skipped-on-64-bit-mips64-is-also.patch:
    Count mips64 as a 64-bit architecture for the purposes of skipping
    tests
  * d/rules: Run a "hello, world" program before running the test suite.
    If mozjs fails to initialize on a platform, the diagnostics given
    are fairly useless; try something much simpler before we go to the
    effort of running the full test suite. Failure to run this program
    causes FTBFS, to make sure we won't ship completely useless builds.
  * d/test.sh: Wrap build-time tests, making test-suite failures
    non-fatal on architectures with known issues (downgrades severity
    of: #877428, #878284, #878285, #878286)
  * d/rules: Skip build-time tests if cross-compiling
  * d/rules: Run icu build with VERBOSE=1 to see compilation commands

  [ Jeremy Bicha ]
  * Add Don-t-include-xlocale.patch: Fix build with glibc >= 2.26

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Oct 2017 00:24:00 +0100

mozjs52 (52.3.1-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete Ubuntu-specific --enable-thumb2 rule

  [ Iain Lane ]
  * Fix --build= to --target=, as the former doesn't exist.

  [ Adrian Bunk ]


=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                autoconf2.13,
-               libicu-dev,
                libreadline-dev,
                zlib1g-dev (>= 1:1.2.3),
                pkg-config,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_ENDIAN ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)
# mozjs' build process does not seem to be compatible with other shells
# like zsh
export SHELL = /bin/sh
export PYTHON = python

SRCDIR = $(CURDIR)/js/src
CONFIGURE_FLAGS =

DEB_CFLAGS_MAINT_APPEND += -fno-schedule-insns2 -fno-lifetime-dse -fno-delete-null-pointer-checks
DEB_CXXFLAGS_MAINT_APPEND += -fno-schedule-insns2 -fno-lifetime-dse -fno-delete-null-pointer-checks
ifneq (,$(findstring $(DEB_BUILD_ARCH),armel armhf))
        DEB_CFLAGS_MAINT_APPEND += -fno-schedule-insns
        DEB_CXXFLAGS_MAINT_APPEND += -fno-schedule-insns
endif
export DEB_CFLAGS_MAINT_APPEND DEB_CXXFLAGS_MAINT_APPEND

ifeq ($(DEB_HOST_ARCH),mips)
CONFIGURE_FLAGS += --disable-ion
endif

ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
ICU_DATA_FILE = icudt58l.dat
else
ICU_DATA_FILE = icudt58b.dat
endif
export ICU_DATA_FILE

%:
	dh $@ --sourcedirectory=$(SRCDIR) --with gnome,pkgkde-symbolshelper

override_dh_clean:
	dh_clean
	find $(CURDIR)/js/src/ \( -type l  -o -name \*.pyc \) -exec rm {} \;
	rm -f $(CURDIR)/js/src/config/nsinstall
	rm -f $(CURDIR)/js/src/dist/bin/.purgecaches
	rm -f  $(CURDIR)/js/src/js52-config $(CURDIR)/js/src/mozjs-52.pc \
		$(CURDIR)/js/src/symverscript
	rm -f $(CURDIR)/js/src/config.log
	# rm -f $(CURDIR)/js/src/configure

override_dh_autoreconf:
	dh_autoreconf $(CURDIR)/debian/autogen.sh

# dh_auto_configure does not properly handle autoconf2.13 generated configure
# scripts, so we call configure ourselves.
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570375
# The bundled copy of icu prefers clang, which we need to override to
# use gcc because clang doesn't support our DEB_CFLAGS_MAINT_APPEND
override_dh_auto_configure:
	CC=$${CC:-$(DEB_HOST_GNU_TYPE)-gcc} \
	CXX=$${CXX:-$(DEB_HOST_GNU_TYPE)-g++} \
	VERBOSE=1 python intl/icu_sources_data.py "$(CURDIR)"
	cd $(SRCDIR) && $(SHELL) configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--target=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
		--without-system-icu \
		--enable-posix-nspr-emulation \
		--with-system-zlib \
		--disable-strip \
		--with-intl-api \
		--enable-readline \
		--disable-optimize \
		$(CONFIGURE_FLAGS)

override_dh_install:
	# move library and create additional symlinks to standardize the file layout
	cd $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/ && \
		mv libjs_static.ajs libmozjs-52.a && \
		mv libmozjs-52.so libmozjs-52.so.0.0.0 && \
		ln -s libmozjs-52.so.0.0.0 libmozjs-52.so.0 && \
		ln -s libmozjs-52.so.0 libmozjs-52.so
	rm debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libmozjs-52.a
	dh_install --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/libmozjs-52-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/mozjs-52.pc

override_dh_gnome:
	dh_gnome --no-gnome-versions

override_dh_auto_test:
	@:
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	SRCDIR=${SRCDIR} DEB_HOST_ARCH=${DEB_HOST_ARCH} $(CURDIR)/debian/test.sh
endif
endif

=== debian/watch ===
version=4
# As of September 2017, there is not an official release of SpiderMonkey 52
# This tarball was downloaded from
# https://treeherder.mozilla.org/#/jobs?repo=mozilla-esr52&filter-searchStr=sm-tc
https://archive.mozilla.org/pub/spidermonkey/releases/(52\.[\d.]+)/ \
	mozjs-@ANY_VERSION@@ARCHIVE_EXT@
